/*
 * DO NOT EDIT.  THIS FILE IS GENERATED FROM
 * /builds/buildbot/moz2-slave/mozilla-1.9.1-macosx-xulrunner/build/xpcom/io/nsILocalFileMac.idl
 */

package org.mozilla.interfaces;

public interface nsILocalFileMac extends nsILocalFile {

  String NS_ILOCALFILEMAC_IID =
    "{748f3ffe-27d9-4402-9de9-494badbeebf4}";

  /**
    * fileSizeWithResFork
    * 
    * Returns the combined size of both the data fork and the resource
    * fork (if present) rather than just the size of the data fork
    * as returned by GetFileSize()
    *
    */
  long getFileSizeWithResFork();

  /**
    * Use with SetFileType() to specify the signature of current process
    */
  long CURRENT_PROCESS_CREATOR = 134217728L;

  /**
    * setFileTypeAndCreatorFromMIMEType
    *
    * Sets the file type and creator code from a MIME type.
    * Internet Config is used to determine the mapping.
    *
    * @param   aMIMEType
    *
    */
  void setFileTypeAndCreatorFromMIMEType(String aMIMEType);

  /**
    * setFileTypeAndCreatorFromExtension
    *
    * Sets the file type and creator code from a file extension
    * Internet Config is used to determine the mapping.
    *
    * @param   aExtension
    *
    */
  void setFileTypeAndCreatorFromExtension(String aExtension);

  /**
    * launchWithDoc
    *
    * Launch the application that this file points to with a document.
    *
    * @param   aDocToLoad          Must not be NULL. If no document, use nsILocalFile::launch
    * @param   aLaunchInBackground TRUE if the application should not come to the front.
    *
    */
  void launchWithDoc(nsILocalFile aDocToLoad, boolean aLaunchInBackground);

  /**
    * openDocWithApp
    *
    * Open the document that this file points to with the given application.
    *
    * @param   aAppToOpenWith      The application with  which to open the document.
    *                              If NULL, the creator code of the document is used
    *                              to determine the application.
    * @param   aLaunchInBackground TRUE if the application should not come to the front.
    *
    */
  void openDocWithApp(nsILocalFile aAppToOpenWith, boolean aLaunchInBackground);

  /**
    * isPackage
    *
    * returns true if a directory is determined to be a package under Mac OS 9/X
    *
    */
  boolean isPackage();

  /**
    * bundleDisplayName
    *
    * returns the display name of the application bundle (usually the human 
    * readable name of the application)
    */
  String getBundleDisplayName();

  /**
    * bundleIdentifier
    *
    * returns the identifier of the bundle
    */
  String getBundleIdentifier();

}